## Class TPreparedStatement

Description

TpreparedStatement class.

- since: 3.1
- version: $Id: TPreparedStatement.php 1568 2006-12-09 09:17:22Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Statements/TPreparedStatement.php (line 21)

    TComponent
       |
       --TPreparedStatement

Method Summary
TPreparedStatement __construct ()
void getParameterNames ()
void getParameterValues ()
void getPreparedSql ()
void setParameterNames (mixed $value)
void setParameterValues (mixed $value)
void setPreparedSql (mixed $value)
Methods
Constructor __construct (line 27)

- access: public

TPreparedStatement __construct ()
getParameterNames (line 36)

- access: public

void getParameterNames ()
getParameterValues (line 39)

- access: public

void getParameterValues ()
getPreparedSql (line 33)

- access: public

void getPreparedSql ()
setParameterNames (line 37)

- access: public

void setParameterNames (mixed $value)
setParameterValues (line 40)

- access: public

void setParameterValues (mixed $value)
setPreparedSql (line 34)

- access: public

void setPreparedSql (mixed $value)

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:54 -0400 by phpDocumentor 1.3.0RC4